Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.location
Interface Location

All Known Implementing Classes:
  LocationImpl

    public interface Location

A location in a resource. The location is composed of the URI of the resource, and the line and column numbers within that resource (when available), along with a description.

Locations are mostly provided by `Locatable`s objects.

Field Summary
`static Location` | `UNKNOWN` Constant for unknown locations.

Method Summary
`int` | `getColumnNumber()` Get the column number of this location
`java.lang.String` | `getDescription()` Get the description of this location
`int` | `getLineNumber()` Get the line number of this location
`java.util.List<java.lang.String>` | `getSnippet(int padding)` Gets a source code snippet with the default padding
`java.lang.String` | `getURI()` Get the URI of this location

Field Detail

### UNKNOWN

    static final Location UNKNOWN

  Constant for unknown locations.

Method Detail

### getDescription

    java.lang.String getDescription()

  Get the description of this location

  Returns:
    the description (can be `null`)

### getURI

    java.lang.String getURI()

  Get the URI of this location

  Returns:
    the URI (`null` if unknown).

### getLineNumber

    int getLineNumber()

  Get the line number of this location

  Returns:
    the line number (`-1` if unknown)

### getColumnNumber

    int getColumnNumber()

  Get the column number of this location

  Returns:
    the column number (`-1` if unknown)

### getSnippet

    java.util.List<java.lang.String> getSnippet(int padding)

  Gets a source code snippet with the default padding

  Parameters:
    `padding` - The amount of lines before and after the error to include
  Returns:
    A list of source lines

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.